China factories

Modern Minimalist Brass Base Floor Lamp with Crystal-clear Glass Column and Adjustable Height

Price: $829-889 Get Latest Price
  • Brand Name: Yihao
  • Model Number: Negotiable
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

indoor tripod lamp bedroom study art deco Modern minimalist Flos Luminator Floor Lamp(WH-MFL-213)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-MFL-213
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

JYLIGHTING Minimalist Tall Iron Floor Lamp, Slim Cone Design Standing Lamp for Modern Bedrooms and Lobbies

Price: Negotiable Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-DZ-260625003
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

Modern Minimalist Living Room Sofa Vertical Floor Lamp Art Arc Smart Minimalist Hotel Design Bedroom Bedside LED Floor Light

Price: Factory price/Genuine retail price Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: ABM-0031
  • Minimum Order Quantity: 100 set/<100set
  • Delivery Time: 7-15days
  • view more

Modern Smart RGB 2700K Floor Lamp with APP Control for Home Party and Decoration

Price: $21.99-29.99 Get Latest Price
  • Brand Name: Valed
  • Model Number: VL-C9-RGBWW24W
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: Negotiable
  • view more

High Quality Trash Can High-End Luxury Modern Minimalist Hotel Office Trash Can Apply to Hotel

Price: CN¥273.13/pieces 2-99 pieces Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 2 pieces
  • Delivery Time: 7-15 work days
  • view more

Ultra-narrow Frame Aluminum Alloy Waterproof Kitchen Bathroom Door Glass Panel Single Swing Door Modern Minimalist Hotel Bedroom

Price: £51.30-71.67 Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 2
  • Delivery Time: Negotiable
  • view more

Floor lamp minimalist light modern 3heads bedroom living room model shaped floor lamp ins led floor light for hotel

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: LED-FOL020
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 10-15days
  • view more

24W LED Waterproof Wall Lamp for Bedroom Living Room Corridor Hotel Modern Minimalist

Price: $8.20 - $18.50/pieces Get Latest Price
  • Brand Name: SUNSHINING
  • Model Number: SL-BE-BD-1217
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

Nordic Style LED Holiday Lights Color Change RGB LED Floor Lamp For Living Room

Price: 24USB Get Latest Price
  • Brand Name: BAVAGREEN
  • Model Number: BA-FL01
  • Minimum Order Quantity: 2pcs
  • Delivery Time: Samples : 3-7 days . Bulk order 15-20 days
  • view more

Modern Minimalist Sofa Bed For Apartments And Hotels

Price: Contact Us For More Discounts Get Latest Price
  • Brand Name: EASY HOME
  • Model Number: MDQ-8006
  • Minimum Order Quantity: 1PC
  • Delivery Time: 25 days
  • view more

Modern Human Body Sculpture Model Room Sales Office Art Decoration Lamp Hotel Hall Decoration Floor Lamp

Price: H1900 317.9USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B50007
  • Minimum Order Quantity: 2Pieces
  • Delivery Time: 7-25DAYS
  • view more

3500K Interior Decorative Tall Paper Origami Floor Lamp For Living Room Bedroom

Price: Negotiable Get Latest Price
  • Brand Name: Paper Bole
  • Model Number: JS-FS'
  • Minimum Order Quantity: 1
  • Delivery Time: 15 work days
  • view more

Modern Minimalist Prehung Solid Wood Doors Interior For Easy Install Hotel Bedroom

Price: USD154.79-624.14/piece Get Latest Price
  • Brand Name: Xin Dafu
  • Model Number: XDF13002
  • Minimum Order Quantity: 10piece
  • Delivery Time: 15-28 work days
  • view more

Modern Sculptural LED Floor Lamp with 3D Geometric Design Mascot Theme Steel & Acrylic Construction

Price: $10,374.23-14,323.33 / piece Get Latest Price
  • Brand Name: Shenbaolai
  • Model Number: QTDS-001
  • Minimum Order Quantity: 1
  • Delivery Time: 15-60day
  • view more

Hotel chairs modern minimalist high-end designer home backrest stainless steel leaves dining chair

Price: Negotiable Get Latest Price
  • Brand Name: YUNZONN
  • Model Number: QY-89
  • Minimum Order Quantity: 50
  • Delivery Time: 30-45 days
  • view more

Modern Minimalist Wood Reception Desk With Dark Front Panels Office Hotel Company Entrance Hosting Clients Hospital Applications Support customization

Price: Negotiable Get Latest Price
  • Brand Name: MYIDEA
  • Model Number: MG300
  • Minimum Order Quantity: 1. Sample orders are welcomed; 2. EXW/FOB: a 20 GP’ at least; 3. mixed models are acceptable
  • Delivery Time: 7day to 1 month
  • view more

Modern Minimalist Stainless Steel Bookshelf Customisable Floor To Ceiling

Price: Negotiable Get Latest Price
  • Brand Name: SEDIA
  • Model Number: S006
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Modern Luxury Hotel Bed King Size Bed Frame Bedroom Furniture Upholstered Bed High Quality Luxury Bedroom Furniture for Villa

Price: Whatsapp+8613143167074 Get Latest Price
  • Brand Name: MOYI Furniture
  • Model Number: MOYI BED
  • Minimum Order Quantity: 1 set
  • Delivery Time: Negotiable
  • view more